package com.bitlinks.arebic.iptv.m3ulist

import io.flutter.embedding.android.FlutterActivity
import io.flutter.embedding.engine.FlutterEngine
import com.btcpiyush.ads.google_applovin_unity_ads.CustomNativeAd
import com.btcpiyush.ads.google_applovin_unity_ads.GoogleApplovinUnityAdsPlugin
import com.btcpiyush.ads.google_applovin_unity_ads_example.CustomGeoSdk

class MainActivity: FlutterActivity() {
    override fun configureFlutterEngine(flutterEngine: FlutterEngine) {
        super.configureFlutterEngine(flutterEngine)
        val factory: CustomNativeAd =
            CustomNativeAd(
                getLayoutInflater()
            )
        val geoFactory =
            CustomGeoSdk(
                this
            )
        GoogleApplovinUnityAdsPlugin.registerNativeAdFactory(flutterEngine, "nativeFactoryId", factory)
        GoogleApplovinUnityAdsPlugin.registerGeoSdkFactory(flutterEngine, "geoSDKFactoryId", geoFactory)
    }

    override fun cleanUpFlutterEngine(flutterEngine: FlutterEngine) {
        GoogleApplovinUnityAdsPlugin.unregisterNativeAdFactory(flutterEngine, "nativeFactoryId")
        GoogleApplovinUnityAdsPlugin.unregisterGeoedgeSdkFactory(flutterEngine, "geoSDKFactoryId")
    }
}